
.modal-wrapper-container {

    [class~='rs-modal-content'] {
        max-width: 1000px;
        width: calc(100% - 40px);
        max-height: 560px;
        height: calc(100% - 40px);
        padding: 32px 24px;
        border-radius: 15px;
    }

    [class~='rs-modal-body'] {
        display: flex;
        width: 100%;
        height: 100%;
        flex-direction: column;
        align-items: flex-start;
        gap: 12px;
        margin: 0;
        padding: 0;
        overflow: unset !important;
        max-height: 100% !important;

        .header-title {
            display: flex;
            justify-content: space-between;
            align-items: center;
            gap: 16px;
            align-self: stretch;

            span {
                flex: 1 0 0;
                color: #202226;
                font-size: 20px;
                font-weight: 600;
                line-height: 30px;
            }
            & > div {
                height: 30px;
                width: 30px;
                display: flex;
                justify-content: center;
                align-items: center;
                cursor: pointer;
                border: 1px solid #E2E5F2;
                border-radius: 50%;
                background: #E2E5F2;

                svg {
                    path {
                        fill: #FFF;
                    }

                    &:hover {
                        path{
                            fill: gray;
                        }
                    }
                }

                &:hover {
                    svg {
                        path{
                            fill: #999c9e;
                        }
                    }
                }
            }
        }

        .search-box {
            display: flex;
            flex-direction: row;
            gap: 12px;

            [class~="rs-input-group"] {
                --rs-input-focus-border: #E2E5F2;
                --rs-border-primary: #E2E5F2;
                --rs-state-focus-shadow: transparent;
            }

            [class~="rs-input-group-focus"] {
                --rs-input-focus-border: #7c68ee;
                --rs-border-primary: #E2E5F2;
                --rs-state-focus-shadow: transparent;
            }

            input {
                --rs-text-primary: #202226;
                font-size: 15px;
                font-weight: 500;
                line-height: 17px;

                &::placeholder {
                    color: #8E91A0;
                    font-size: 13px;
                    font-weight: 500;
                    line-height: 17px;
                }
            }

            .btn-reset {
                color: #7c68ee;
                border-color: #7c68ee;
                display: flex;
                flex-direction: row;
                align-items: center;
                gap: 8px;
                border-radius: 40px;
                transition: all .3s;

                &:hover {
                    background-color: #7c68ee1a;
                }

                svg {
                    path {
                        fill: #7c68ee;
                    }
                }
            }
        }

        .table-data {
            width: 100%;
            //max-height: calc(100% - 90px);// có box search/filter
            max-height: calc(100% - 42px);
            height: auto;
            display: flex;
            flex-direction: column;
            border-radius: 12px;
            box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 0.10);
            overflow: hidden;

            &.no-data {
                box-shadow: none;
                height: 100%;
            }

            .header {
                height: 60px;
                background: #f9e5d7;
                border-radius: 12px 12px 0 0;
                .item {
                    .item-info {
                        div {
                            color: #8B5252;
                            font-size: 14px;
                            font-weight: 700;
                            line-height: 20px;
                            //text-transform: uppercase;
                        }
                    }
                }
            }

            .header, .body {
                width: 100%;
                position: relative;

                .item {
                    display: flex;
                    flex-direction: column;
                    height: 100%;

                    &:nth-child(2n) {
                        .item-info {
                            background: #F7F8FC;
                        }
                    }

                    .item-info {
                        width: 100%;
                        height: 100%;
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        justify-content: space-between;
                        padding: 0 20px;

                        > * {
                            display: flex;
                            align-items: center;
                            height: 100%;
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 20px;
                            padding-right: 10px;

                            span, a {
                                display: block;
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 20px;
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }

                            a {
                                color: #7660fe;
                            }
                        }
                    }
                }
            }

            .body {
                width: 100%;
                overflow: auto;
                height: calc(100% - 60px);
                position: relative;

                .item {
                    height: 60px;
                    .item-info {
                        > * {
                            display: flex;
                            align-items: center;
                            height: 100%;
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 20px;

                            span, a {
                                display: block;
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 20px;
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }
                        }
                    }

                    .tap {
                        width: 100%;
                        display: flex;
                        flex-direction: row;

                        .tap-item {
                            display: flex;
                            align-items: center;
                            height: 39px;
                            padding: 12px 16px;
                            background: #E2E5F2;
                            border-radius: 16px 16px 0 0;
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 20px;
                            color: #FFFFFF;
                            cursor: pointer;

                            &.active {
                                background: #7660FE;
                            }
                        }
                    }
                }

                .no-data {
                    height: 100%;
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    gap: 20px;

                    img {
                        width: 320px;
                        height: 200px;
                        object-fit: contain;
                        object-position: center;
                    }

                    span {
                        color: #526375;
                        font-size: 16px;
                        line-height: 24px;
                        text-align: center;
                    }
                }
            }

            &.table-data-for-student {
                .header, .body {
                    .item {
                        .item-info {
                            > * {
                                &:nth-child(1) {
                                    width: 50px;
                                }

                                &:nth-child(2) {
                                    width: calc(100% - 700px);
                                }

                                &:nth-child(3) {
                                    width: 180px;
                                }

                                &:nth-child(4) {
                                    width: 120px;
                                }

                                &:nth-child(5) {
                                    width: 200px;
                                }
                                &:nth-child(6) {
                                    width: 150px;
                                    display: flex;
                                    justify-content: center;
                                }
                            }
                        }
                    }
                }

                .body {
                    .item {
                        .item-info {
                            > * {
                                &:nth-child(5) {
                                    display: flex;
                                    flex-direction: row;
                                    gap: 5px;
                                    span{
                                        font-weight: 500;
                                        font-size: 14px;
                                        line-height: 20px;
                                        color: #202226;
                                    }
                                    .title,.timer,.date{
                                        display: flex;
                                        flex-direction: column;
                                    }

                                    &.ongoing{
                                        .title,.timer,.date{
                                            span{
                                                &:nth-child(1){
                                                    color: #757688;
                                                }
                                            }
                                        }
                                    }

                                    &.ended{
                                        span{
                                            color: #757688;
                                        }
                                    }
                                }

                                &:nth-child(6) {
                                    span{
                                        width: auto;
                                        display: block;
                                        padding: 5px 15px;
                                        background: #FFEFD9;
                                        color: #F79945;
                                        border-radius: 60px;
                                        font-weight: 500;
                                        font-size: 14px;
                                        line-height: 20px;
                                        text-align: center;

                                        &.ended{
                                            background: #FFCACA;
                                            color: #EF4E2B;
                                        }

                                        &.ongoing{
                                            background: #D7F9F5;
                                            color: #21C274;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            &.table-data-for-teacher {
                .header, .body {
                    .item {
                        .item-info {
                            > * {
                                &:nth-child(1) {
                                    width: 50px;
                                }

                                &:nth-child(2) {
                                    width: calc(75% - 400px);
                                }

                                &:nth-child(3) {
                                    width: 25%;
                                }

                                &:nth-child(4) {
                                    width: 200px;
                                }

                                &:nth-child(5) {
                                    width: 150px;
                                    display: flex;
                                    justify-content: center;
                                }
                            }
                        }
                    }
                }
                .body {
                    .item {
                        .item-info {
                            > * {
                                &:nth-child(2) {
                                    a {
                                        color: #7660FE;
                                        width: 100%;
                                        display: block;
                                        white-space: nowrap;
                                        overflow: hidden;
                                        text-overflow: ellipsis;
                                    }
                                }

                                &:nth-child(3) {
                                    span {
                                        width: 100%;
                                        display: block;
                                        white-space: nowrap;
                                        overflow: hidden;
                                        text-overflow: ellipsis;
                                    }
                                }

                                &:nth-child(4) {
                                    display: flex;
                                    flex-direction: row;
                                    gap: 5px;
                                    span{
                                        font-weight: 500;
                                        font-size: 14px;
                                        line-height: 20px;
                                        color: #202226;
                                    }
                                    .title,.timer,.date{
                                        display: flex;
                                        flex-direction: column;
                                    }

                                    &.ongoing{
                                        .title,.timer,.date{
                                            span{
                                                &:nth-child(1){
                                                    color: #757688;
                                                }
                                            }
                                        }
                                    }

                                    &.ended{
                                        span{
                                            color: #757688;
                                        }
                                    }
                                }

                                &:nth-child(5) {
                                    span{
                                        width: auto;
                                        display: block;
                                        padding: 5px 15px;
                                        background: #FFEFD9;
                                        color: #F79945;
                                        border-radius: 60px;
                                        font-weight: 500;
                                        font-size: 14px;
                                        line-height: 20px;
                                        text-align: center;

                                        &.ended{
                                            background: #FFCACA;
                                            color: #EF4E2B;
                                        }

                                        &.ongoing{
                                            background: #D7F9F5;
                                            color: #21C274;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

    }

    &[class~="rs-anim-bounce-out"] {
        animation-duration: 0.2s !important;
    }
}